Bug 982601 - [ml_IN] Addition of glyphs to Lohit Malayalam to support recently proposed Unicode characters
[ml_IN] Addition of glyphs to Lohit Malayalam to support recently proposed Un...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lohit-malayalam-fonts (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 07:53 EDT by Shriramana Sharma
Modified: 2017-12-12 05:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:25:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Glyphs for Malayalam Archaic II, minor fractions and Chillu LLL (8.74 KB, application/x-font-ttf)
2013-07-09 07:53 EDT, Shriramana Sharma
no flags Details
Glyphs needed to update Lohit Malayalam to Unicode pipeline as of 2015-Feb-05 (9.83 KB, application/x-font-ttf)
2015-06-08 04:40 EDT, Shriramana Sharma
no flags Details

  None (edit)
Description Shriramana Sharma 2013-07-09 07:53:38 EDT
Created attachment 770964 [details]
Glyphs for Malayalam Archaic II, minor fractions and Chillu LLL

Recently I and Cibu Johny have proposed various characters to be added to the Malayalam Unicode block and in the last May 2013 UTC meeting they have been approved and further (IIUC) approved by the WG2 meeting last month in Lithunia. The links are provided below:

N4429 	Proposal to encode Malayalam minor fractions
http://std.dkuug.dk/jtc1/sc2/wg2/docs/n4429.pdf

N4428 	Proposal to encode MALAYALAM LETTER CHILLU LLL
http://std.dkuug.dk/jtc1/sc2/wg2/docs/n4428.pdf

N4312 	Proposal for MALAYALAM LETTER ARCHAIC II
http://std.dkuug.dk/jtc1/sc2/wg2/docs/n4312.pdf

This is a placeholder bug (like bug #839303 for Tamil fractions and symbols) to ensure that the requisite glyphs are added immediately once the characters are published in the Unicode standard finally. 

I have designed the glyphs for these proposed characters partially based on existing glyphs from the Lohit Malayalam font and would like to submit these as my contributions to the Lohit project under the OFL.
Comment 1 Pravin Satpute 2013-07-16 04:28:34 EDT
Yes, Definitely !!

http://www.unicode.org/versions/beta.html

"The next version of the Unicode Standard will be Version 6.3.0, planned for release in September 2013"   

Looking forward to see these characters in 6.3.0
Comment 2 Fedora End Of Life 2013-09-16 12:45:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Shriramana Sharma 2013-09-28 20:03:54 EDT
Please see http://www.unicode.org/alloc/Pipeline.html. The Archaic II is in stage 6 and others are in stage 3. Only stage 8 characters will be part of Unicode 6.3. Stage 7 characters will be part of Unicode 7.0 and others probably only later.
Comment 4 Pravin Satpute 2013-10-08 04:14:28 EDT
I did not found any changes to Malayalam in Unicode 6.3. Did i missed anything?
Comment 5 Shriramana Sharma 2013-10-08 04:34:07 EDT
No you did not miss anything. I thought they would publish all stage 8 characters as part of Unicode 6.3 but apparently they chose to do a minimal release so no new Malayalam characters were added.

Next to be added (stage 8, probably Unicode 7.0):

0D01 	1 	MALAYALAM SIGN CANDRABINDU

and after that (stage 6):

0D5F 	1 	MALAYALAM LETTER ARCHAIC II

(Devanagari, Bengali, Telugu and Kannada also have proposed additions. See the pipeline, stage 7/8 chars.)
Comment 6 Pravin Satpute 2013-10-08 06:39:23 EDT
Sure, will wait for some more time then.
Comment 7 Shriramana Sharma 2013-11-22 22:48:59 EST
Please note that the extra glyphs does not include the candrabindu required for 0D01 Malayalam Candrabindu probably to be released in the next Unicode version. 

Candrabindu characters for Malayalam, Telugu and Kannada are all due soon and may easily be copied from Lohit Devanagari. Do you want me to open a separate bug for that?
Comment 8 Pravin Satpute 2013-11-26 03:02:59 EST
I was always missing Candrabindu in Malayalam, Telugu and Kannada. Glad to see this happening.

I think good to have this tracking bug for now.

In between we are soon starting Lohit Malayalam development for lohit2 projct. Will drop email on lohit devel for it.
Comment 9 Fedora End Of Life 2015-05-29 05:09:59 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Shriramana Sharma 2015-06-08 04:40:39 EDT
Created attachment 1036224 [details]
Glyphs needed to update Lohit Malayalam to Unicode pipeline as of 2015-Feb-05

The attachment includes the following glyphs for Malayalam to update it w.r.t. the current Unicode pipeline status as of 2015-Feb-05:

0D00 Combining Anusvara Above
0D01 Candrabindu
0D3B Vertical Bar Virama
0D3C Circular Virama
0D4F Para
0D54-0D56 Chillus M, Y, LLL
0D58-0D5E Fractions-1
0D5F Archaic II
0D76-0D78 Fractions-2

References:
http://www.unicode.org/alloc/Pipeline.html
http://www.unicode.org/L2/L2015/15124-dam2-chart.pdf
http://www.unicode.org/charts/PDF/U0D00.pdf
Comment 11 Shriramana Sharma 2015-06-08 05:10:00 EDT
Note that the same glyph for candrabindu 0D01 must also be taken for:

0C01 Telugu Sign Combining Candrabindu Above
0C81 Kannada Sign Candrabindu

I don't want to submit a separate bug for that since the work is minimal. So please do it along with this one. Thanks.
Comment 12 Pravin Satpute 2015-06-08 23:51:01 EDT
Fair enough. 

I did not see U+0D5F still not available in Unicode 7.

Can you provide list of characters available in Unicode and need to add in Lohit here.
Comment 13 Fedora End Of Life 2016-11-24 05:59:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Pravin Satpute 2016-12-20 07:17:34 EST
Checked with Lohit Malayalam with Unicode 9.0 release following characters are missing:
U+0D01, U+0D4F, U+0D54, U+0D55, U+0D56, U+0D76, U+0D77 and U+0D78
Comment 15 Fedora End Of Life 2016-12-20 07:39:57 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Shriramana Sharma 2017-01-05 04:53:21 EST
(In reply to Pravin Satpute from comment #14)
> Checked with Lohit Malayalam with Unicode 9.0 release following characters
> are missing:
> U+0D01, U+0D4F, U+0D54, U+0D55, U+0D56, U+0D76, U+0D77 and U+0D78

Not sure what you mean. The only missing characters from http://www.unicode.org/charts/PDF/U0D00.pdf are 0D00, 0D3B and 0D3C which are expected for the forthcoming Unicode version as per http://www.unicode.org/alloc/Pipeline.html.
Comment 17 Pravin Satpute 2017-01-05 05:30:08 EST
I mean, when comparing Lohit coverage with Unicode 9.0
Comment 18 Fedora End Of Life 2017-11-16 14:53:00 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2017-12-12 05:25:20 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.